Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -9921,105 +15725,418 @@
                 offset120min (120)
                 }
    MAX-ACCESS   read-write
-   STATUS       current
+   STATUS       obsolete
    DESCRIPTION
       "This object is for Daylight Saving Time Offset In (30/60/90/120) Minutes."
 
    ::= { companySNTPSetting 6 }
 
-sysSNTPGMTMinutes  OBJECT-TYPE
+ipv4sysSNTPGMTMinutes  OBJECT-TYPE
    SYNTAX       INTEGER  
    MAX-ACCESS   read-write
-   STATUS       current
+   STATUS       obsolete
    DESCRIPTION
       "Specifies the Time Zone Offset from GMT in +/- Minutes. (+780 ~ -720)"
 
    ::= { companySNTPSetting 7 }
 
-sysSNTPDSTStartMon  OBJECT-TYPE
+ipv4sysSNTPDSTStartMon  OBJECT-TYPE
    SYNTAX       INTEGER  
    MAX-ACCESS   read-write
-   STATUS       current
+   STATUS       obsolete
    DESCRIPTION
       "The start month of Daylight Saving Time."
 
    ::= { companySNTPSetting 8 }
 
-sysSNTPDSTStartDay  OBJECT-TYPE
+ipv4sysSNTPDSTStartDay  OBJECT-TYPE
    SYNTAX       INTEGER  
    MAX-ACCESS   read-write
-   STATUS       current
+   STATUS       obsolete
    DESCRIPTION
       "The start day of Daylight Saving Time."
 
    ::= { companySNTPSetting 9 }
 
-sysSNTPDSTStartHour  OBJECT-TYPE
+ipv4sysSNTPDSTStartHour  OBJECT-TYPE
    SYNTAX       INTEGER  
    MAX-ACCESS   read-write
-   STATUS       current
+   STATUS       obsolete
    DESCRIPTION
       "The start hour of Daylight Saving Time."
 
    ::= { companySNTPSetting 10 }
 
-sysSNTPDSTStartMin  OBJECT-TYPE
+ipv4sysSNTPDSTStartMin  OBJECT-TYPE
    SYNTAX       INTEGER  
    MAX-ACCESS   read-write
-   STATUS       current
+   STATUS       obsolete
    DESCRIPTION
       "The start minute of Daylight Saving Time."
 
    ::= { companySNTPSetting 11 }
 
-sysSNTPDSTEndMon  OBJECT-TYPE
+ipv4sysSNTPDSTEndMon  OBJECT-TYPE
    SYNTAX       INTEGER  
    MAX-ACCESS   read-write
-   STATUS       current
+   STATUS       obsolete
    DESCRIPTION
       "The end month of Daylight Saving Time."
 
    ::= { companySNTPSetting 12 }
 
-sysSNTPDSTEndDay  OBJECT-TYPE
+ipv4sysSNTPDSTEndDay  OBJECT-TYPE
    SYNTAX       INTEGER  
    MAX-ACCESS   read-write
-   STATUS       current
+   STATUS       obsolete
    DESCRIPTION
       "The end day of Daylight Saving Time."
 
    ::= { companySNTPSetting 13 }
 
-sysSNTPDSTEndHour  OBJECT-TYPE
+ipv4sysSNTPDSTEndHour  OBJECT-TYPE
    SYNTAX       INTEGER  
    MAX-ACCESS   read-write
-   STATUS       current
+   STATUS       obsolete
    DESCRIPTION
       "The end hour of Daylight Saving Time."
 
    ::= { companySNTPSetting 14 }
 
-sysSNTPDSTEndMin  OBJECT-TYPE
+ipv4sysSNTPDSTEndMin  OBJECT-TYPE
    SYNTAX       INTEGER  
    MAX-ACCESS   read-write
-   STATUS       current
+   STATUS       obsolete
    DESCRIPTION
       "The end minute of Daylight Saving Time."
 
    ::= { companySNTPSetting 15 }
 	 
-sysSNTPDSTState  OBJECT-TYPE
+ipv4sysSNTPDSTState  OBJECT-TYPE
    SYNTAX       INTEGER {
                 annual(1),
                 disabled(2)
                }
    MAX-ACCESS  read-write
-   STATUS      current
+   STATUS      obsolete
    DESCRIPTION
       "This object is for Annual(1) or Disabled(2) DST state in the system."
    ::= { companySNTPSetting 16 }
 
+--IPv6 sntp server Table
 
+		sysSNTPServerTable OBJECT IDENTIFIER ::= { companySNTPSetting 17 }
+              
+		sysSNTPTimeSeconds  OBJECT-TYPE
+              SYNTAX      Integer32
+              MAX-ACCESS  read-write
+              STATUS      current
+              DESCRIPTION
+                  "This object is for setting the system time in seconds 
+                   from  Epoch (00:00:00 UTC, January 1, 2009). Notice : 
+                   input value must larger than 1230768000 (00:00:00 UTC, 
+                   January 1, 2009) and smaller than 2145916799 (23:59:59
+                   UTC, December 31, 2037)."
+              ::= { sysSNTPServerTable 1 }         
+         
+		sysSNTPFirstServer  OBJECT-TYPE
+              SYNTAX      Ipv6Address
+              MAX-ACCESS  read-write
+              STATUS      current
+              DESCRIPTION
+                  "SNTP First Server's IPv6 Address"
+              ::= { sysSNTPServerTable 2 }
+   
+		sysSNTPFirstType OBJECT-TYPE
+	          SYNTAX    INTEGER {
+                        iPv4 (1),
+                        iPv6 (2)
+              }
+              MAX-ACCESS  read-write
+              STATUS      current
+	          DESCRIPTION
+                  "SNTP First Server's IPv6 Address type."
+              ::= { sysSNTPServerTable 3 }
+
+        sysSNTPFirstInterfaceName   OBJECT-TYPE
+              SYNTAX      OCTET STRING
+              MAX-ACCESS  read-write
+              STATUS      current
+              DESCRIPTION
+                  "Specifies the interface name when the sysSNTPFirstServer is linklocal address."
+              ::= { sysSNTPServerTable 4 } 
+   
+		sysSNTPSecondServer  OBJECT-TYPE
+              SYNTAX      Ipv6Address
+              MAX-ACCESS  read-write
+              STATUS      current
+              DESCRIPTION
+                  "SNTP Second Server's IPv6 Address"
+              ::= { sysSNTPServerTable 5 }    
+   
+		sysSNTPSecondType OBJECT-TYPE	          
+	          SYNTAX    INTEGER {
+                        iPv4 (1),
+                        iPv6 (2)
+              }
+              MAX-ACCESS  read-write
+              STATUS      current
+	          DESCRIPTION
+                  "SNTP First Server's IPv6 Address type."
+              ::= { sysSNTPServerTable 6 }
+
+        sysSNTPSecondInterfaceName   OBJECT-TYPE
+              SYNTAX      OCTET STRING
+              MAX-ACCESS  read-write
+              STATUS      current
+              DESCRIPTION
+                  "Specifies the interface name when the sysSNTPSecondServer is linklocal address."
+              ::= { sysSNTPServerTable 7 } 
+   
+		sysSNTPPollInterval  OBJECT-TYPE
+   		      SYNTAX      Integer32
+   		      MAX-ACCESS  read-write
+   		      STATUS      current
+   		      DESCRIPTION
+       		      "SNTP Poll Interval In Seconds  (30-99999) "
+              ::= { sysSNTPServerTable 8 }
+
+		sysSNTPState  OBJECT-TYPE
+   		      SYNTAX    INTEGER {
+                        sntp(1),
+                        local(2)
+              }
+              MAX-ACCESS  read-write
+              STATUS      current
+              DESCRIPTION
+                  "Enable/Disable SNTP function in the system."
+              ::= { sysSNTPServerTable 9 }
+
+  -- SNTPv6 TimeZonesetting
+
+		sysSNTPDSTOffset OBJECT-TYPE
+              SYNTAX       INTEGER  {
+                           offset30min (30),
+                           offset60min (60),
+                           offset90min (90),
+                           offset120min (120)
+              }
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "This object is for Daylight Saving Time Offset 
+                   In (30/60/90/120) Minutes."
+              ::= { sysSNTPServerTable 10 }
+
+		sysSNTPGMTMinutes OBJECT-TYPE
+              SYNTAX        INTEGER  
+              MAX-ACCESS    read-write
+              STATUS        current
+              DESCRIPTION
+                  "Specifies the Time Zone Offset from GMT in +/- Minutes. (+780 ~ -720)"
+              ::= { sysSNTPServerTable 11 }
+
+		sysSNTPDSTStartMon  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The start month of Daylight Saving Time."
+              ::= { sysSNTPServerTable 12 }
+
+		sysSNTPDSTStartDay  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The start day of Daylight Saving Time."
+              ::= { sysSNTPServerTable 13 }
+
+		sysSNTPDSTStartHour  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The start hour of Daylight Saving Time."
+              ::= { sysSNTPServerTable 14 }
+
+		sysSNTPDSTStartMin  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The start minute of Daylight Saving Time."
+              ::= { sysSNTPServerTable 15 }
+
+		sysSNTPDSTEndMon  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The end month of Daylight Saving Time."
+              ::= { sysSNTPServerTable 16 }
+
+		sysSNTPDSTEndDay  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The end day of Daylight Saving Time."
+              ::= { sysSNTPServerTable 17 }
+
+		sysSNTPDSTEndHour  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The end hour of Daylight Saving Time."
+              ::= { sysSNTPServerTable 18 }
+
+		sysSNTPDSTEndMin  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The end minute of Daylight Saving Time."
+              ::= { sysSNTPServerTable 19 }	
+               
+		sysSNTPDSTState  OBJECT-TYPE
+              SYNTAX       INTEGER {
+                           enabled(1),
+                           disabled(2)
+              }
+              MAX-ACCESS  read-write
+              STATUS      current
+              DESCRIPTION
+                  "This object is for Enabled(1) or Disabled(2) DST state in the system."
+              ::= { sysSNTPServerTable 20 }   
+	
+	
+
+		sysSNTPDSTMethod  OBJECT-TYPE
+              SYNTAX       INTEGER {
+                           annual(1),
+                           repeating(2)
+              }
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "This object is for Annual(1) or Repeating(2) DST method in the system."
+              ::= { sysSNTPServerTable 30 }
+
+		sysSNTPDSTRepeatStartMon  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The start month of Daylight Saving Time in Repeating mode."
+              ::= { sysSNTPServerTable 31 }
+
+		sysSNTPDSTRepeatStartWeek  OBJECT-TYPE
+              SYNTAX       INTEGER {
+                           last(0),
+                           first(1),
+                           second(2),
+                           third(3),
+                           fourth(4),
+                           fifth(5)
+              }
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The start week of Daylight Saving Time in Repeating mode."
+              ::= { sysSNTPServerTable 32 }
+
+
+		sysSNTPDSTRepeatStartWeekDay  OBJECT-TYPE
+              SYNTAX       INTEGER {
+                           sun(0),
+                           mon(1),
+                           tue(2),
+                           wed(3),
+                           thu(4),
+                           fri(5),
+                           sat(6)
+              }
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The start weekday of Daylight Saving Time in Repeating mode."
+              ::= { sysSNTPServerTable 33 }
+
+		sysSNTPDSTRepeatStartHour  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The start hour of Daylight Saving Time in Repeating mode.."
+              ::= { sysSNTPServerTable 34 }
+
+		sysSNTPDSTRepeatStartMin  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The start minute of Daylight Saving Time in Repeating mode."
+              ::= { sysSNTPServerTable 35 }
+
+		sysSNTPDSTRepeatEndMon  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The end month of Daylight Saving Time in Repeating mode."
+              ::= { sysSNTPServerTable 36 }
+
+		sysSNTPDSTRepeatEndWeek  OBJECT-TYPE
+              SYNTAX       INTEGER {
+                           last(0),
+                           first(1),
+                           second(2),
+                           third(3),
+                           fourth(4),
+                           fifth(5)
+              }
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The end week of Daylight Saving Time in Repeating mode."
+              ::= { sysSNTPServerTable 37 }
+
+
+		sysSNTPDSTRepeatEndWeekDay  OBJECT-TYPE
+              SYNTAX       INTEGER {
+                           sun(0),
+                           mon(1),
+                           tue(2),
+                           wed(3),
+                           thu(4),
+                           fri(5),
+                           sat(6)
+              }
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The end weekday of Daylight Saving Time in Repeating mode."
+              ::= { sysSNTPServerTable 38 }
+
+		sysSNTPDSTRepeatEndHour  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The end hour of Daylight Saving Time in Repeating mode.."
+              ::= { sysSNTPServerTable 39 }
+
+		sysSNTPDSTRepeatEndMin  OBJECT-TYPE
+              SYNTAX       INTEGER  
+              MAX-ACCESS   read-write
+              STATUS       current
+              DESCRIPTION
+                  "The end minute of Daylight Saving Time in Repeating mode."
+              ::= { sysSNTPServerTable 40 }
+ 
+
     -- ------------------------------------------------------------------    
     -- Limit IP multicast Group 
     -- ------------------------------------------------------------------
@@ -10038,30 +16155,42 @@
             STATUS current
             DESCRIPTION
                 "A limit ip multicast entry maintain by the start IP Address, end ip address, profile id."
-            INDEX { limitIpMulticastProfileID }
+            INDEX { limitIpMulticastIPType, limitIpMulticastProfileID }
             ::= { limitIpMulticastProfileTable 1 }   
 
-        LimitIpMulticastProfileEntry ::= SEQUENCE {
+        LimitIpMulticastProfileEntry ::= SEQUENCE { 
+        	limitIpMulticastIPType          INTEGER,
             limitIpMulticastProfileID       INTEGER,
             limitIpMulticastProfileName     DisplayString,
             limitIpMulticastProfileStatus   RowStatus
         }          
-
+           
+		limitIpMulticastIPType OBJECT-TYPE
+           SYNTAX      INTEGER {
+                  ipv4(1),
+                  ipv6(2)
+           }
+           MAX-ACCESS read-only
+           STATUS current
+           DESCRIPTION
+                "Indicate the IP type of profile."
+           ::= { limitIpMulticastProfileEntry 1 }
+                      
         limitIpMulticastProfileID OBJECT-TYPE 
-           SYNTAX      INTEGER
+           SYNTAX      INTEGER (1..24)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
                "The ProfileID of the limit ip multicast profile entry."
-           ::= { limitIpMulticastProfileEntry 1 }
+           ::= { limitIpMulticastProfileEntry 2 }
            
         limitIpMulticastProfileName OBJECT-TYPE
-             SYNTAX DisplayString (SIZE(1..64))
+             SYNTAX DisplayString (SIZE(1..20))
              MAX-ACCESS read-write
              STATUS current
              DESCRIPTION
                  "The ProfileName of the limit ip multicast profile entry."
-             ::= { limitIpMulticastProfileEntry 2 }           
+             ::= { limitIpMulticastProfileEntry 3 }           
 
         limitIpMulticastProfileStatus OBJECT-TYPE
             SYNTAX     RowStatus
@@ -10071,7 +16200,7 @@
                 "The status of an entry in the limit ip multicast profile Table. Only a subset
                  of the rowstatus variables (active, createAndGo, destroy) 
                  are available."
-            ::= { limitIpMulticastProfileEntry 3 } 
+            ::= { limitIpMulticastProfileEntry 4 } 
 
 
 
@@ -10090,40 +16219,52 @@
             STATUS current
             DESCRIPTION
                 "A limit ip multicast entry maintain by the start IP Address, end ip address, profile id."
-            INDEX { limitIpMulticastEntryProfileID,limitIpMulticaststartIpAddr,limitIpMulticastendIpAddr}
+            INDEX { limitIpMulticastEntryIPType, limitIpMulticastEntryProfileID, limitIpMulticaststartIpAddr, limitIpMulticastendIpAddr}
             ::= { limitIpMulticastEntryTable 1 }       
                 
                            
-        LimitIpMulticastEntry ::= SEQUENCE {
-            limitIpMulticastEntryProfileID       INTEGER,
-            limitIpMulticaststartIpAddr     IpAddress,
-            limitIpMulticastendIpAddr       IpAddress,
-            limitIpMulticastStatus          RowStatus
-        }                           
+        LimitIpMulticastEntry ::= SEQUENCE {               
+        	limitIpMulticastEntryIPType          INTEGER,  
+            limitIpMulticastEntryProfileID       INTEGER,  
+            limitIpMulticaststartIpAddr          DisplayString,
+            limitIpMulticastendIpAddr            DisplayString,
+            limitIpMulticastStatus               RowStatus
+        }                                
+        
+        limitIpMulticastEntryIPType OBJECT-TYPE
+           SYNTAX      INTEGER {
+                  ipv4(1),
+                  ipv6(2)
+           }
+           MAX-ACCESS read-only
+           STATUS current
+           DESCRIPTION
+                "Indicate the IP type of entry."
+           ::= { limitIpMulticastEntry 1 }
 
         limitIpMulticastEntryProfileID OBJECT-TYPE 
-           SYNTAX      INTEGER
+           SYNTAX      INTEGER (1..24)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
                "The ProfileID of the limit ip multicast entry."
-           ::= { limitIpMulticastEntry 1 }
-    
+           ::= { limitIpMulticastEntry 2 }
+                                         
         limitIpMulticaststartIpAddr OBJECT-TYPE
-              SYNTAX IpAddress
+              SYNTAX DisplayString (SIZE(1..16))
               MAX-ACCESS read-only
               STATUS current
               DESCRIPTION
                   "The limit ip multicast IP address is used to set start ip"
-              ::= { limitIpMulticastEntry 2 }    
+              ::= { limitIpMulticastEntry 3 }    
               
         limitIpMulticastendIpAddr OBJECT-TYPE
-              SYNTAX IpAddress
+              SYNTAX DisplayString (SIZE(1..16))
               MAX-ACCESS read-only
               STATUS current
               DESCRIPTION
                   "The limit ip multicast IP address is used to set end ip"
-              ::= { limitIpMulticastEntry 3 }
+              ::= { limitIpMulticastEntry 4 }
 
         limitIpMulticastStatus OBJECT-TYPE
             SYNTAX     RowStatus
@@ -10133,7 +16274,7 @@
                 "The status of an entry in the limit ip multicast entry Table. Only a subset
                  of the rowstatus variables (active, createAndGo, destroy) 
                  are available."
-            ::= { limitIpMulticastEntry 4 } 
+            ::= { limitIpMulticastEntry 5 } 
             
  
               
@@ -10151,26 +16292,40 @@
             STATUS current
             DESCRIPTION
                 "A limit ip multicast entry maintain by the Port Index."
-            INDEX { limitIpMulticastPortID}
+            INDEX { limitIpMulticastPortIPType, limitIpMulticastPortID }
             ::= { limitIpMulticastPortTable 1 }       
                 
                            
-        LimitIpMulticastPortEntry ::= SEQUENCE {
-            limitIpMulticastPortID          INTEGER,
+        LimitIpMulticastPortEntry ::= SEQUENCE {        
+        	limitIpMulticastPortIPType      INTEGER,
+            limitIpMulticastPortID          INTEGER,    
             limitIpMulticastPortState       INTEGER,
             limitIpMulticastPortProfileID   PortList,
-            limitIpMulticastPortMaxGrp      INTEGER
+            limitIpMulticastPortMaxGrp      INTEGER,
+            limitIpMulticastPortAction      INTEGER
         }                           
-
+          
+        limitIpMulticastPortIPType OBJECT-TYPE
+           SYNTAX      INTEGER {
+                  ipv4(1),
+                  ipv6(2)
+           }
+           MAX-ACCESS read-only
+           STATUS current
+           DESCRIPTION
+                "Indicate the IP type of entry."
+           ::= { limitIpMulticastPortEntry 1 }
+           
         limitIpMulticastPortID OBJECT-TYPE 
-           SYNTAX      INTEGER
+           SYNTAX      INTEGER (1..28)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
-               "The Port Index of the limit ip multicast port entry."
-           ::= { limitIpMulticastPortEntry 1 }
-    
-        limitIpMulticastPortState OBJECT-TYPE
+               "The Port Index of the limit ip multicast port entry.
+               For all machines give maximum port number."
+           ::= { limitIpMulticastPortEntry 2 }
+                                          
+		limitIpMulticastPortState OBJECT-TYPE
             SYNTAX INTEGER  {
         		  permit (1), deny (2)
             }
@@ -10178,7 +16333,7 @@
               STATUS current
               DESCRIPTION
                   "The limit ip multicast port state"
-              ::= { limitIpMulticastPortEntry 2 }    
+              ::= { limitIpMulticastPortEntry 3 }    
               
         limitIpMulticastPortProfileID OBJECT-TYPE
               SYNTAX PortList
@@ -10186,8 +16341,9 @@
               STATUS current
               DESCRIPTION
                   "The limit ip multicast port mapping profileID list."
-              ::= { limitIpMulticastPortEntry 3 }
-
+              ::= { limitIpMulticastPortEntry 4 }
+           
+           
         limitIpMulticastPortMaxGrp OBJECT-TYPE
             SYNTAX     INTEGER (1..256)
             MAX-ACCESS read-write
@@ -10194,8 +16350,19 @@
             STATUS     current
             DESCRIPTION
                   "The limit ip multicast per-port max group."
-            ::= { limitIpMulticastPortEntry 4 } 
+            ::= { limitIpMulticastPortEntry 5 } 
             
+        limitIpMulticastPortAction OBJECT-TYPE
+           SYNTAX      INTEGER {
+                  drop(1),
+                  replace(2)
+           }
+           MAX-ACCESS read-write
+           STATUS current
+           DESCRIPTION
+                "The limit ip multicast port action."
+           ::= { limitIpMulticastPortEntry 6 }
+            
 
 
  
@@ -10229,6 +16396,188 @@
 		"Used to delete the guest VLAN."
 	    ::= { companyGuestVlan 3 }
 
+ 
+    -- -----------------------------------------------------------------------------
+	-- The Protocol Group Name Table
+	-- -----------------------------------------------------------------------------
+	protocolGroupNameTable OBJECT-TYPE
+        SYNTAX SEQUENCE OF ProtocolGroupNameEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "A table to control protocol group name features of the device."
+        ::= { companyProtocolVlan 1 }
+        
+    protocolGroupNameEntry OBJECT-TYPE
+        SYNTAX ProtocolGroupNameEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "An entry appears in protocol group name table for each interface 
+ 	        in the system."    
+ 	    INDEX {protocolGroupGID}
+        ::= { protocolGroupNameTable 1 }
+  
+    ProtocolGroupNameEntry ::= 
+        SEQUENCE {  
+           protocolGroupGID
+              Integer32,
+           protocolGroupName
+              DisplayString
+        }
+           
+    protocolGroupGID OBJECT-TYPE
+        SYNTAX      Integer32 (1..16)
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+           "The group ID of protocol group name table."
+        ::= { protocolGroupNameEntry 1 }
+    
+    protocolGroupName OBJECT-TYPE
+	    SYNTAX      DisplayString(SIZE(1..32))
+        MAX-ACCESS  read-write
+	    STATUS      current
+	    DESCRIPTION
+		   "The group name of protocol group name table."
+	    ::= { protocolGroupNameEntry 2 }
+
+                  
+	-- -----------------------------------------------------------------------------
+	-- The Protocol Group Table
+	-- -----------------------------------------------------------------------------
+	protocolGroupTable OBJECT-TYPE
+        SYNTAX SEQUENCE OF ProtocolGroupEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "A table to control protocol group features of the device."
+        ::= { companyProtocolVlan 2 }
+        
+    protocolGroupEntry OBJECT-TYPE
+        SYNTAX ProtocolGroupEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "An entry appears in protocol group table for each interface 
+ 	        in the system."    
+ 	    INDEX {protocolGroupId, protocolGroupFrameType, protocolGroupProtocolValue}
+        ::= { protocolGroupTable 1 }
+  
+    ProtocolGroupEntry ::= 
+        SEQUENCE {  
+           protocolGroupId
+              Integer32,
+           protocolGroupFrameType 
+              INTEGER,
+           protocolGroupProtocolValue
+              Integer32,
+           protocolGroupRowStatus 
+              RowStatus       
+        }
+           
+    protocolGroupId OBJECT-TYPE
+        SYNTAX      Integer32 (1..16)
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+           "The group ID of protocol group table."
+        ::= { protocolGroupEntry 1 }
+        
+    protocolGroupFrameType OBJECT-TYPE
+	    SYNTAX INTEGER  {
+        	 ethernet (1),
+        	 ieee8023-snap (2)
+        }
+        MAX-ACCESS  read-only
+	    STATUS      current
+	    DESCRIPTION
+		   "The frame type of protocol group table."
+	    ::= { protocolGroupEntry 2 } 
+	
+	protocolGroupProtocolValue OBJECT-TYPE
+        SYNTAX      Integer32 (0..65535)
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+           "The protocol value of protocol group table."
+        ::= { protocolGroupEntry 3 }
+
+    protocolGroupRowStatus OBJECT-TYPE
+        SYNTAX      RowStatus
+        MAX-ACCESS  read-create
+        STATUS      current
+        DESCRIPTION
+            "The row status of protocol group table."
+        ::= { protocolGroupEntry 99 }   
+              
+    
+    -- -----------------------------------------------------------------------------
+	-- The Protocol Vlan Table
+	-- -----------------------------------------------------------------------------
+	protocolVlanTable OBJECT-TYPE
+        SYNTAX SEQUENCE OF ProtocolVlanEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "A table to control protocol vlan features of the device."
+        ::= { companyProtocolVlan 3 }
+        
+    protocolVlanEntry OBJECT-TYPE
+        SYNTAX ProtocolVlanEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "An entry appears in protocol vlan table for each interface 
+ 	        in the system."    
+ 	    INDEX {protocolVlanPort, protocolVlanVID, protocolVlanGroupID}
+        ::= { protocolVlanTable 1 }
+  
+    ProtocolVlanEntry ::= 
+        SEQUENCE {  
+           protocolVlanPort
+              Integer32,
+           protocolVlanVID
+              Integer32, 
+           protocolVlanGroupID 
+              Integer32,
+           protocolVlanRowStatus 
+              RowStatus       
+        }
+    
+    protocolVlanPort OBJECT-TYPE
+        SYNTAX      Integer32 (1..28)
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+           "The interface number of protocol vlan table."
+        ::= { protocolVlanEntry 1 }
+
+    protocolVlanVID OBJECT-TYPE
+        SYNTAX      Integer32 (1..4094)
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+           "The vlan ID of protocol vlan table."
+        ::= { protocolVlanEntry 2 }
+
+    protocolVlanGroupID OBJECT-TYPE
+        SYNTAX      Integer32 (1..16)
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+           "The group ID of protocol vlan table."
+        ::= { protocolVlanEntry 3 }
+
+    protocolVlanRowStatus OBJECT-TYPE
+        SYNTAX      RowStatus
+        MAX-ACCESS  read-create
+        STATUS      current
+        DESCRIPTION
+            "The row status of protocol vlan table."
+        ::= { protocolVlanEntry 99 }
+
+
     -- ---------------------------------------------------------------------
     -- MacNotify Function
     -- ---------------------------------------------------------------------
@@ -10291,12 +16640,13 @@
       }
     
     macNotifyCtrlIndex OBJECT-TYPE 
-       SYNTAX      Integer32 
+       SYNTAX      Integer32 (1..28)
        MAX-ACCESS  read-only 
        STATUS      current 
        DESCRIPTION 
           "The interface index of the port for which the configuration
-          in this entry applies."
+          in this entry applies.
+          For all machines give maximum port number."
        ::= { macNotifyCtrlEntry 1 }
         
     macNotifyPortStatus OBJECT-TYPE 
@@ -10311,8 +16661,29 @@
             function. Default is disabled."
        DEFVAL  { disabled }
        ::= { macNotifyCtrlEntry 2 }         
+       
+    macNotifyInfo  OBJECT IDENTIFIER ::= {  companyMacNotify 5 } 
 
+    macNotifyInfoDiscription   OBJECT-TYPE
+        SYNTAX          OCTET STRING(SIZE (1..1024))
+        MAX-ACCESS      accessible-for-notify
+        STATUS          current
+        DESCRIPTION
+			"This object indicates the information for the device MAC address changes. And the detailed information include:
+      		Operation Code + MAC address + Box ID + Port Number + Zero...
 
+      		Operation Code: 1, 2 and 3
+                 1 means learned a new MAC address
+                 2 means deleted an old MAC address.
+				3 means station movement.
+
+      			Box ID: The switch box ID, for standalone device, it always 1.
+      			Port Number: The port number learned or deleted for the box.
+      			Zero: Used to separate each message (Operate Code + MAC address + Box ID + Port Number)."
+        ::= { macNotifyInfo 1 }
+
+
+
     -- ------------------------------------------------------------------ 
     -- BPDU Attack Protection Group
     -- ------------------------------------------------------------------
